# -*- coding=utf8 -*-
#******************************************************************************
# addon.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013-2015 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import sys
import urllib
import xbmc
import xbmcgui
import xbmcaddon
import xbmcplugin


class BhvCam(object):
    
    PLUGIN_NAME = "plugin.video.bhvcam"
    
    _plugin_id      = None
    _addon          = None
    
    def __init__(self):
        self._register_addon()
        self._process_request()
        
    def _register_addon(self):
        self._plugin_id = int(sys.argv[1])
        self._addon = xbmcaddon.Addon(id = self.PLUGIN_NAME)

    def _process_request(self):
        if sys.argv[2]:
            urlparam = sys.argv[2]
            url = urllib.unquote_plus(urlparam[5:])
            title = xbmcplugin.getSetting(self._plugin_id, "title")
            listitem = xbmcgui.ListItem(title)
            xbmc.Player(xbmc.PLAYER_CORE_AUTO).play(url, listitem)
        else:
            self._create_submenue()    
        
    def _create_submenue(self):
        submenue = (
            ("Radarturm", xbmcplugin.getSetting(self._plugin_id, "url_radar")),
            ("Atlantic Hotel", xbmcplugin.getSetting(self._plugin_id, "url_hotel"))
        )
        items = []
        for name,url in submenue:
            url = sys.argv[0] + "?url=" + url
            item = xbmcgui.ListItem(name)
            items.append((url, item, True))
        xbmcplugin.addDirectoryItems(self._plugin_id, items)
        xbmcplugin.endOfDirectory(self._plugin_id)


if __name__ == "__main__":
    BhvCam()
                